Skip to main content
GET
/
v1
/
verification
/
mca
/
cin
Cin Verification
curl --request GET \
  --url https://production.deepvue.tech/v1/verification/mca/cin \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "timestamp": 1738236700074,
  "transaction_id": "ed0b4ef3-4768-47fa-99c4-4da7e2eea871",
  "data": {
    "company_master_data": {
      "company_category": "Company limited by shares",
      "email_id": "tataind@tata.com",
      "class_of_company": "Public",
      "date_of_last_agm": "25/06/2024",
      "registered_address": "TATA INDUSTRIES LTD BOMBAY HOUSE  24 HOMI   MODY  STREET MUMBAI Maharashtra India 400001",
      "registration_number": "004403",
      "paid_up_capital(rs)": "10795460200",
      "whether_listed_or_not": "Unlisted",
      "suspended_at_stock_exchange": "-",
      "cin": "U44003MH1945PLC004403",
      "company_subcategory": "Non-government company",
      "authorised_capital(rs)": "11600000000",
      "company_status(for_efiling)": "Active",
      "roc_code": "ROC Mumbai",
      "date_of_balance_sheet": "31/03/2024",
      "date_of_incorporation": "07/04/1945",
      "company_name": "TATA INDUSTRIES LIMITED",
      "active_compliance": "ACTIVE Compliant",
      "main_division_of_business_activity_to_be_carried_out_in_india": "",
      "previous_firm/_company_details,_if_applicable": "",
      "number_of_designated_partners": "",
      "total_obligation_of_contribution": "0",
      "description_of_main_division": "",
      "number_of_partners": "",
      "rd_region": "Western Region",
      "balance_sheets": [],
      "annual_returns": []
    },
    "charges": [],
    "directors/signatory_details": [
      {
        "end_date": "-",
        "din/pan": "00028428",
        "designation": "Director",
        "begin_date": "12/12/2016",
        "name": "FAROKH NARIMAN SUBEDAR"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

The Cin section of the Developers API allows users to retrieve verification information related to a company’s Corporate Identification Number (CIN). With this functionality, users can quickly access important details and validate the authenticity of a company based on its unique identification number. This section streamlines the process of verifying corporate entities for various business and compliance purposes.

Authorizations

Authorization
string
header
required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

id_number
string
required

The identification number associated with the verification request for the Ministry of Corporate Affairs (MCA) Certificate of Incorporation Number (CIN).

Response

Successful Response

code
integer
default:200
timestamp
integer
transaction_id
string
data
Data · object